Search documentation of wx

# View Source wxGridCellTextEditor (wx v2.4.3)

Grid cell editor for string/text data.

See:

- `wxGridCellEditor`

- `wxGridCellBoolEditor`

- `wxGridCellChoiceEditor`

- `wxGridCellFloatEditor`

- `wxGridCellNumberEditor`

This class is derived, and can use functions, from:

- `wxGridCellEditor`

wxWidgets docs: wxGridCellTextEditor

# Summary

## Types

wxGridCellTextEditor()

## Functions

destroy(This)

Destroys the object

new()

Equivalent to `new([])`.

new(Options)

Text cell editor constructor.

setParameters(This, Params)

The parameters string format is "n" where n is a number representing the maximum width.

# Types

Link to this type

# wxGridCellTextEditor()

View Source

    -type wxGridCellTextEditor() :: wx:wx_object().

# Functions

Link to this function

# destroy(This)

View Source

    -spec destroy(This :: wxGridCellTextEditor()) -> ok.

Destroys the object

Link to this function

# new()

View Source

    -spec new() -> wxGridCellTextEditor().

Equivalent to `new([])`.

Link to this function

# new(Options)

View Source

    -spec new([Option]) -> wxGridCellTextEditor() when Option :: {maxChars, integer()}.

Text cell editor constructor.

Link to this function

# setParameters(This, Params)

View Source

    -spec setParameters(This, Params) -> ok
                           when This :: wxGridCellTextEditor(), Params :: unicode:chardata().

The parameters string format is "n" where n is a number representing the maximum width.